import request from "@/utils/request.js"
// 获取医生工作量信息
export function getDoctorWork({page, limit, ...data}) {
    return request({
        url: '/data/analysis/docDemCount',
        method: 'post',
        data,
        params: {page, limit}
    })
}
// 获取医生工作量信息
export function getDoctorWorkChart(data) {
    return request({
        url: '/data/analysis/docDemReport',
        method: 'post',
        data,
    })
}
// 医院使用分析
export function getHospitalWork(data) {
    return request({
        url: '/data/analysis/doctorWorkCount',
        method: 'post',
        data
    })
}

// 处方金额分析
export function getRecipeMoney(data) {
    return request({
        url: '/data/analysis/recipeMoneyCount',
        method: 'post',
        data
    })
};

// 新增开方来源数据
export function addRecipeFrom(data) {
    return request({
        url: "/data/analysis/Add?type=" + data.type,
        method: 'post',
        data
    })
};

// 获取疾病发病量数据分析
export function getDiseaseA(data) {
    return request({
        url: '/data/analysis/diseaseACount',
        method: 'post',
        data
    })
};

//处方来源分析
export function getRecipeFrom(data) {
    return request({
        url: '/data/analysis/recipeFromCount',
        method: 'post',
        data
    })
};

// 治未病 分析
export function cureCount(data) {
    return request({
        url: '/data/analysis/cureCount',
        method: 'post',
        data
    })
};

// 医生工作量 表导出
export function exportDow(data) {
    return request({
        url: '/data/analysis/doctorWorkExport',
        method: 'post',
        data
    })
};

// 治未病 导出
export function exportCure(data) {
    return request({
        url: '/data/analysis/cureCountExport',
        method: 'post',
        data
    })
};